Mail archive
alpine-aports

[alpine-aports] [PATCH 2/6] testing/py-jsonpointer: new aport

From: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
Date: Thu, 24 Mar 2016 16:33:19 +0000

https://github.com/stefankoegl/python-json-pointer
Identify specific nodes in a JSON document (RFC 6901)
---
 testing/py-jsonpointer/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-jsonpointer/APKBUILD
diff --git a/testing/py-jsonpointer/APKBUILD b/testing/py-jsonpointer/APKBUILD
new file mode 100644
index 0000000..6fbfb33
--- /dev/null
+++ b/testing/py-jsonpointer/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-jsonpointer
+_pkgname=jsonpointer
+pkgver=1.10
+pkgrel=0
+pkgdesc="Identify specific nodes in a JSON document (RFC 6901)"
+url="https://github.com/stefankoegl/python-json-pointer"
+arch="noarch"
+license="BSD"
+depends="python"
+makedepends="py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d68c0c6ad6889e9c94ec0feba719e45e  jsonpointer-1.10.tar.gz"
+sha256sums="9fa5dcac35eefd53e25d6cd4c310d963c9f0b897641772cd6e5e7b89df7ee0b1  jsonpointer-1.10.tar.gz"
+sha512sums="b2df5f19b14b670825b18f7da4ca50b089beb2ccbb1c69acfc904eed82b5315ad19940b4aaa8f8504c2fc7d477778d65e31f492dd30ee8b5ba95ccfd0eaeb9b1  jsonpointer-1.10.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 24 2016 - 16:33:19 GMT